function addTodo() {
  var task = document.querySelector("input").value;
  console.log(task);

  // draft the list item
  var newTodoItem = document.createElement("li");
  newTodoItem.innerHTML = task;

  // append the new <li> to <ul>
  document.querySelector("ul").append(newTodoItem);
}

function markAsDone(e) {
  console.log("done");
  console.log(e);
}

// Nothing new here, addEventListener watches when the HTML has loaded
document.addEventListener("DOMContentLoaded", function () {
  console.log("DOM content has loaded");

  document.querySelector("body").addEventListener("click", function (event) {
    // MAGIC happens here!

    console.log(event.target.tagName.toLowerCase());

    // figure out if we've clicked on a <li>
    if (event.target.tagName.toLowerCase() == "li") {
      // if already marked as done, remove the class when clicking
      if (event.target.style.textDecoration == "line-through 5px") {
        event.target.style.textDecoration = "none";
        // when clicking mark as done
      } else {
        event.target.style.textDecoration = "line-through 5px";
      }
    }
  }); // end of body addEventListener
}); // end of domcontentloaded function
